Author Topic: help me help me!  (Read 5039 times)

0 Members and 1 Guest are viewing this topic.

mantra

  • Guest
help me help me!
« on: October 08, 2003, 06:59:38 PM »
i update your great av with built in but every time i go to be connected by the net

avast tell me new version is avaible!!!
but i have the new version!!!!!


i uninstalled some providers p2 and instant message

Offline Vlk

  • Avast CEO
  • Serious Graphoman
  • *
  • Posts: 11664
  • Please don't send me IM's. Email only. Thx.
    • ALWIL Software
Re:help me help me!
« Reply #1 on: October 08, 2003, 07:08:26 PM »
No you don't have the latest version.

4.1.280 has been released about 10 minutes ago - with a fix to the Broken package error.

Vlk
If at first you don't succeed, then skydiving's not for you.

ts

  • Guest
Re:help me help me!
« Reply #2 on: October 08, 2003, 07:41:16 PM »
Vlk,

  just for my curiosity... how did you fix the broken-package issue? What was the problem?

Bye,
  ts :)

BTW: Update to .280 worked like a charme ;)

kubecj

  • Guest
Re:help me help me!
« Reply #3 on: October 08, 2003, 07:51:57 PM »
 just for my curiosity... how did you fix the broken-package issue? What was the problem?

Geek stuff ahead  8)
There were two problems:
1) There was a phony double 268 update - this shouldn't happen, but it happened. People who missed that update were affected by the other error.
2) There's code which handles differential updates. Because there were 2 releases of 268, but only one differential way to go from 268->278, it should work like this:

Do you have setup 268?
Download differential 268->278?
Perform diff
and now, if it fails (and it fails for all the people who missed the phony update), it should delete setup version 268 and download full 278. Instead it retained it and was thus unable to do the next step.

This bug only affects _next_ version. But, as we released _next_ _next_  ;D version, bug is skipped and allows all to upgrade successfully.


Quote
BTW: Update to .280 worked like a charme ;)

Glad to hear that.

mantra

  • Guest
Re:help me help me!
« Reply #4 on: October 09, 2003, 09:42:24 AM »
i update to the new version 280!!!

but every time i go the net , avast askes me to reboot!!!!!!
and tell me a new version 278 is avaible!!!
but i have the 280 veriosn

mantra

  • Guest
Re:help me help me!
« Reply #5 on: October 09, 2003, 09:48:56 AM »
it reboot every time!!

and avast re-install all the provider uninstalled and make my a start menu directory with only Mail Protection Wizard

mantra

  • Guest
Re:help me help me!
« Reply #6 on: October 09, 2003, 10:17:34 AM »
it re install p2 shield

if i uninstall provider p2 shield and instant message , when i connect to net i tell me a new version 278 is avaible , and reboot my system!?!?

is there a cure???